Autocad Contour Lisp

While reducing the level of lager in my container I burped up the following Not elegant or fancy, but does what you described. (Defun C:RL( / newElev ssRL i vo);Give Reduced Level - if that's really what you call it. (Setq newElev(GetReal' nElevation: ')) (if newelev (progn (prompt' nSelect contours');you said you wanted polylines - adapt filter for other entities (Setq ssRL(ssget'((0. 'LWPOLYLINE')))) (if ssrl (progn (setq i 0) (Repeat(sslength ssRL) (setq vo(Vlax-ename->vla-object(ssname ssRL i))) (vlax-put-property vo 'elevation newelev) (setq i(1+ i)) );repeat ) ) ) );if );def 'Daniel Blake' wrote in message news:4106fcd9$1_3@newsprd01. > Sorry guys - doesn't everyone do civil drawings. > > RL - yes reduced level > GRL - Give Reduced Level - Could be anything just a shotcut label.

> > So in summary I want to move a selected polyline to a fixed > elevation. I get sick of typing move from 0,0,0 to 0,0,10 for example. > > Cheers - thinking about lager now too.

> DB > > 'Luis Esquivel' wrote in message > news:4106e0be$1_2@newsprd01. > > RL= Right Layer? > > GRL= Get Right Layer? > > > >??????????????

Oct 8, 2007 - Any one please help. I have lots of Level points which I want to convert to Contours lines. If anyone have any LISP of other shortcut to make it.

Please feel free to modify for your needs. (defun C:ReduceLevel () (setvar 'cmdecho' 0) (while (setq ES (entsel ' nSelect Contour Line or Beer Can? ')) (setq EG (entget (car ES))) (if (member (cdr (assoc 0 EG)) (list 'LWPOLYLINE' 'CANOFBEER')) (progn (setq ZZ (cdr (assoc 38 EG))) (princ (strcat ' nCurrent Reduced Level = ' (rtos ZZ 2 4))) (setq NZZ (getreal ' nInput New Reduced Level? ')) (command '_move' (cdr (assoc -1 EG)) ' (list 0 0 ZZ) (list 0 0 NZZ)) (if (.

Thank you all 'Alan Henderson @ A'cad Solutions' wrote in message news:4107a278_2@newsprd01. > Please feel free to modify for your needs. Cutlist plus crack keygen game. > > (defun C:ReduceLevel () > (setvar 'cmdecho' 0) > (while (setq ES (entsel ' nSelect Contour Line or Beer Can?

Lisp

')) > (setq EG (entget (car ES))) > (if (member (cdr (assoc 0 EG)) (list 'LWPOLYLINE' 'CANOFBEER')) > (progn > (setq ZZ (cdr (assoc 38 EG))) > (princ (strcat ' nCurrent Reduced Level = ' (rtos ZZ 2 4))) > (setq NZZ (getreal ' nInput New Reduced Level? ')) > (command '_move' (cdr (assoc -1 EG)) ' (list 0 0 ZZ) (list 0 0 NZZ)) > (if ( (princ (strcat ' nYou have reduced the level by = ' (rtos (- NZZ ZZ) 2 > 4))) > (princ (strcat ' nCongratulations. You have increased the level by = > ' (rtos (- ZZ NZZ) 2 4))) > ) > ) > ) > ) > (princ) > ) >.

Hi tajideux,how about this my code; ccs is stand for create circle with spline; Design by Ade Suharna; 1 february 2005; Program no.1; Edit by Joe Burke 1). (defun c:ccs (/ osm rad p1 npt pt x) (setq osm (getvar 'osmode')); 1). (setq rad (getdist ' nENTER NEW RADIUS: ')); 1). (setq p1 (getpoint ' nENTER POINT: ')); p1 for rubberband between points (setq npt (list p1)); 1).

(while (setq pt (getpoint p1 ' nENTER POINT: ')) (setq npt (append npt (list pt))) (setq p1 pt) ); end of while (setvar 'osmode' 0); 1). (command '_spline'); start spline command 1). (foreach x npt (command x)); 1). Kodi aktivacii igr net lizard for sale. (command ' ' '); end spline command 1). (foreach x npt (command '_circle' x rad)) (setvar 'osmode' osm) (princ) ); end wrote in message news:5009137@discussion.autodesk.com. This is a topic for civil engineers. I am studying LISP and I have a question.